Bug 550384 - Upgrade of kde-filesystem fails on upgrade from Fedora 11 to 12
Summary: Upgrade of kde-filesystem fails on upgrade from Fedora 11 to 12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-filesystem
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-24 22:20 UTC by Eli Wapniarski
Modified: 2010-03-23 13:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 13:36:42 UTC


Attachments (Terms of Use)

Description Eli Wapniarski 2009-12-24 22:20:09 UTC
Just performed an upgrade on one of my machines from fedora 11 to 12. The update to kde-filesystem-4-30.fc12.noarch.rpm failed

Yum reported

error: unpacking of archive failed on file /usr/share/doc/HTML/de/docs/common: cpio: rename failed - Is a directory

I downloaded and tried to install the file manually with the same result. I then deleted:

/usr/share/doc/HTML/de

And tried again with the message:

error: unpacking of archive failed on file /usr/share/doc/HTML/ru/docs/common: cpio: rename failed - Is a directory

I then removed the folder

/usr/share/doc/HTML/ru

All was well when I tried to install again.

Comment 1 Steven M. Parrish 2010-01-12 11:59:41 UTC
This bug has been triaged

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Rex Dieter 2010-03-23 13:03:48 UTC
Ugh, this one's going to be hard to find.

I strongly suspect some other package on f11 that wrongly owned 
/usr/share/doc/HTML/{de/ru}/docs/common

repoquery (at least) shows the only owner of that on fc12 is kde-filesystem, as it should be.

I'll if I can figure anything out in my f11 vm.

Comment 3 Rex Dieter 2010-03-23 13:23:06 UTC
OK, looks like a consequence of bug #445108

f11's kde-filesystem indeed did not own these properly, leading to (this kind of) badness.

Comment 4 Rex Dieter 2010-03-23 13:36:42 UTC
:( 

f11 repoquery on ownership of 
/usr/share/doc/HTML/{de,ru}/docs/ 
or
/usr/share/doc/HTML/{de,ru}/docs/common

Came up empty too.  

I think we may have to just live with manually workarounds when/if this happens.  to folks upgrading from/to f11.


Note You need to log in before you can comment on or make changes to this bug.